openSUSE 10 Security Update : libcurl3 (libcurl3-6401)

High Nessus Plugin ID 42012


The remote openSUSE host is missing a security update.


This update of libcurl2 fixes the 0-character handling in the subject name of a SSL certificate. This bug could be used to execute an undetected man-in-the-middle-attack. (CVE-2009-2417)


Update the affected libcurl3 package.

Plugin Details

Severity: High

ID: 42012

File Name: suse_libcurl3-6401.nasl

Version: $Revision: 1.5 $

Type: local

Agent: unix

Published: 2009/10/06

Modified: 2014/06/13

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libcurl3, cpe:/o:novell:opensuse:10.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2009/08/07

Reference Information

CVE: CVE-2009-2417

CWE: 310